## EDBusObjectManagerClient EDBusObjectManagerClient |

## Functions

GDBusInterfaceInfo * | e_dbus_source_interface_info ()
guint | e_dbus_source_override_properties ()
void | e_dbus_source_complete_invoke_credentials_required ()
void | e_dbus_source_complete_get_last_credentials_required_arguments ()
void | e_dbus_source_complete_unset_last_credentials_required_arguments ()
void | e_dbus_source_complete_invoke_authenticate ()
void | e_dbus_source_emit_credentials_required ()
void | e_dbus_source_emit_authenticate ()
void | e_dbus_source_call_invoke_credentials_required ()
gboolean | e_dbus_source_call_invoke_credentials_required_finish ()
gboolean | e_dbus_source_call_invoke_credentials_required_sync ()
void | e_dbus_source_call_get_last_credentials_required_arguments ()
gboolean | e_dbus_source_call_get_last_credentials_required_arguments_finish ()
gboolean | e_dbus_source_call_get_last_credentials_required_arguments_sync ()
void | e_dbus_source_call_unset_last_credentials_required_arguments ()
gboolean | e_dbus_source_call_unset_last_credentials_required_arguments_finish ()
gboolean | e_dbus_source_call_unset_last_credentials_required_arguments_sync ()
void | e_dbus_source_call_invoke_authenticate ()
gboolean | e_dbus_source_call_invoke_authenticate_finish ()
gboolean | e_dbus_source_call_invoke_authenticate_sync ()
const gchar * | e_dbus_source_get_uid ()
gchar * | e_dbus_source_dup_uid ()
void | e_dbus_source_set_uid ()
const gchar * | e_dbus_source_get_data ()
gchar * | e_dbus_source_dup_data ()
void | e_dbus_source_set_data ()
const gchar * | e_dbus_source_get_connection_status ()
gchar * | e_dbus_source_dup_connection_status ()
void | e_dbus_source_set_connection_status ()
void | e_dbus_source_proxy_new ()
EDBusSource * | e_dbus_source_proxy_new_finish ()
EDBusSource * | e_dbus_source_proxy_new_sync ()
void | e_dbus_source_proxy_new_for_bus ()
EDBusSource * | e_dbus_source_proxy_new_for_bus_finish ()
EDBusSource * | e_dbus_source_proxy_new_for_bus_sync ()
EDBusSource * | e_dbus_source_skeleton_new ()
GDBusInterfaceInfo * | e_dbus_source_removable_interface_info ()
guint | e_dbus_source_removable_override_properties ()
void | e_dbus_source_removable_complete_remove ()
void | e_dbus_source_removable_call_remove ()
gboolean | e_dbus_source_removable_call_remove_finish ()
gboolean | e_dbus_source_removable_call_remove_sync ()
void | e_dbus_source_removable_proxy_new ()
EDBusSourceRemovable * | e_dbus_source_removable_proxy_new_finish ()
EDBusSourceRemovable * | e_dbus_source_removable_proxy_new_sync ()
void | e_dbus_source_removable_proxy_new_for_bus ()
EDBusSourceRemovable * | e_dbus_source_removable_proxy_new_for_bus_finish ()
EDBusSourceRemovable * | e_dbus_source_removable_proxy_new_for_bus_sync ()
EDBusSourceRemovable * | e_dbus_source_removable_skeleton_new ()
GDBusInterfaceInfo * | e_dbus_source_writable_interface_info ()
guint | e_dbus_source_writable_override_properties ()
void | e_dbus_source_writable_complete_write ()
void | e_dbus_source_writable_call_write ()
gboolean | e_dbus_source_writable_call_write_finish ()
gboolean | e_dbus_source_writable_call_write_sync ()
void | e_dbus_source_writable_proxy_new ()
EDBusSourceWritable * | e_dbus_source_writable_proxy_new_finish ()
EDBusSourceWritable * | e_dbus_source_writable_proxy_new_sync ()
void | e_dbus_source_writable_proxy_new_for_bus ()
EDBusSourceWritable * | e_dbus_source_writable_proxy_new_for_bus_finish ()
EDBusSourceWritable * | e_dbus_source_writable_proxy_new_for_bus_sync ()
EDBusSourceWritable * | e_dbus_source_writable_skeleton_new ()
GDBusInterfaceInfo * | e_dbus_source_remote_creatable_interface_info ()
guint | e_dbus_source_remote_creatable_override_properties ()
void | e_dbus_source_remote_creatable_complete_create ()
void | e_dbus_source_remote_creatable_call_create ()
gboolean | e_dbus_source_remote_creatable_call_create_finish ()
gboolean | e_dbus_source_remote_creatable_call_create_sync ()
void | e_dbus_source_remote_creatable_proxy_new ()
EDBusSourceRemoteCreatable * | e_dbus_source_remote_creatable_proxy_new_finish ()
EDBusSourceRemoteCreatable * | e_dbus_source_remote_creatable_proxy_new_sync ()
void | e_dbus_source_remote_creatable_proxy_new_for_bus ()
EDBusSourceRemoteCreatable * | e_dbus_source_remote_creatable_proxy_new_for_bus_finish ()
EDBusSourceRemoteCreatable * | e_dbus_source_remote_creatable_proxy_new_for_bus_sync ()
EDBusSourceRemoteCreatable * | e_dbus_source_remote_creatable_skeleton_new ()
GDBusInterfaceInfo * | e_dbus_source_remote_deletable_interface_info ()
guint | e_dbus_source_remote_deletable_override_properties ()
void | e_dbus_source_remote_deletable_complete_delete ()
void | e_dbus_source_remote_deletable_call_delete ()
gboolean | e_dbus_source_remote_deletable_call_delete_finish ()
gboolean | e_dbus_source_remote_deletable_call_delete_sync ()
void | e_dbus_source_remote_deletable_proxy_new ()
EDBusSourceRemoteDeletable * | e_dbus_source_remote_deletable_proxy_new_finish ()
EDBusSourceRemoteDeletable * | e_dbus_source_remote_deletable_proxy_new_sync ()
void | e_dbus_source_remote_deletable_proxy_new_for_bus ()
EDBusSourceRemoteDeletable * | e_dbus_source_remote_deletable_proxy_new_for_bus_finish ()
EDBusSourceRemoteDeletable * | e_dbus_source_remote_deletable_proxy_new_for_bus_sync ()
EDBusSourceRemoteDeletable * | e_dbus_source_remote_deletable_skeleton_new ()
GDBusInterfaceInfo * | e_dbus_source_oauth2_support_interface_info ()
guint | e_dbus_source_oauth2_support_override_properties ()
void | e_dbus_source_oauth2_support_complete_get_access_token ()
void | e_dbus_source_oauth2_support_call_get_access_token ()
gboolean | e_dbus_source_oauth2_support_call_get_access_token_finish ()
gboolean | e_dbus_source_oauth2_support_call_get_access_token_sync ()
void | e_dbus_source_oauth2_support_proxy_new ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_finish ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_sync ()
void | e_dbus_source_oauth2_support_proxy_new_for_bus ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_for_bus_finish ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_for_bus_sync ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_skeleton_new ()
EDBusSource * | e_dbus_object_get_source ()
EDBusSourceRemovable * | e_dbus_object_get_source_removable ()
EDBusSourceWritable * | e_dbus_object_get_source_writable ()
EDBusSourceRemoteCreatable * | e_dbus_object_get_source_remote_creatable ()
EDBusSourceRemoteDeletable * | e_dbus_object_get_source_remote_deletable ()
EDBusSourceOAuth2Support * | e_dbus_object_get_source_oauth2_support ()
EDBusSource * | e_dbus_object_peek_source ()
EDBusSourceRemovable * | e_dbus_object_peek_source_removable ()
EDBusSourceWritable * | e_dbus_object_peek_source_writable ()
EDBusSourceRemoteCreatable * | e_dbus_object_peek_source_remote_creatable ()
EDBusSourceRemoteDeletable * | e_dbus_object_peek_source_remote_deletable ()
EDBusSourceOAuth2Support * | e_dbus_object_peek_source_oauth2_support ()
EDBusObjectProxy * | e_dbus_object_proxy_new ()
EDBusObjectSkeleton * | e_dbus_object_skeleton_new ()
void | e_dbus_object_skeleton_set_source ()
void | e_dbus_object_skeleton_set_source_removable ()
void | e_dbus_object_skeleton_set_source_writable ()
void | e_dbus_object_skeleton_set_source_remote_creatable ()
void | e_dbus_object_skeleton_set_source_remote_deletable ()
void | e_dbus_object_skeleton_set_source_oauth2_support ()
GType | e_dbus_object_manager_client_get_proxy_type ()
void | e_dbus_object_manager_client_new ()
GDBusObjectManager * | e_dbus_object_manager_client_new_finish ()
GDBusObjectManager * | e_dbus_object_manager_client_new_sync ()
void | e_dbus_object_manager_client_new_for_bus ()
GDBusObjectManager * | e_dbus_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | e_dbus_object_manager_client_new_for_bus_sync ()

## Properties

EDBusSource * | source | Read / Write
EDBusSourceOAuth2Support * | source-oauth2-support | Read / Write
EDBusSourceRemoteCreatable * | source-remote-creatable | Read / Write
EDBusSourceRemoteDeletable * | source-remote-deletable | Read / Write
EDBusSourceRemovable * | source-removable | Read / Write
EDBusSourceWritable * | source-writable | Read / Write
gchar * | connection-status | Read / Write
gchar * | data | Read / Write
gchar * | uid | Read / Write

## Signals

void | authenticate | Run Last
void | credentials-required | Run Last
gboolean | handle-get-last-credentials-required-arguments | Run Last
gboolean | handle-invoke-authenticate | Run Last
gboolean | handle-invoke-credentials-required | Run Last
gboolean | handle-unset-last-credentials-required-arguments | Run Last
gboolean | handle-get-access-token | Run Last
gboolean | handle-create | Run Last
gboolean | handle-delete | Run Last
gboolean | handle-remove | Run Last
gboolean | handle-write | Run Last

## Types and Values

struct | EDBusSourceIface
struct | EDBusSourceProxy
struct | EDBusSourceProxyClass
struct | EDBusSourceSkeleton
struct | EDBusSourceSkeletonClass
struct | EDBusSourceRemovableIface
struct | EDBusSourceRemovableProxy
struct | EDBusSourceRemovableProxyClass
struct | EDBusSourceRemovableSkeleton
struct | EDBusSourceRemovableSkeletonClass
struct | EDBusSourceWritableIface
struct | EDBusSourceWritableProxy
struct | EDBusSourceWritableProxyClass
struct | EDBusSourceWritableSkeleton
struct | EDBusSourceWritableSkeletonClass
struct | EDBusSourceRemoteCreatableIface
struct | EDBusSourceRemoteCreatableProxy
struct | EDBusSourceRemoteCreatableProxyClass
struct | EDBusSourceRemoteCreatableSkeleton
struct | EDBusSourceRemoteCreatableSkeletonClass
struct | EDBusSourceRemoteDeletableIface
struct | EDBusSourceRemoteDeletableProxy
struct | EDBusSourceRemoteDeletableProxyClass
struct | EDBusSourceRemoteDeletableSkeleton
struct | EDBusSourceRemoteDeletableSkeletonClass
struct | EDBusSourceOAuth2SupportIface
struct | EDBusSourceOAuth2SupportProxy
struct | EDBusSourceOAuth2SupportProxyClass
struct | EDBusSourceOAuth2SupportSkeleton
struct | EDBusSourceOAuth2SupportSkeletonClass
struct | EDBusObjectIface
struct | EDBusObjectProxy
struct | EDBusObjectProxyClass
struct | EDBusObjectSkeleton
struct | EDBusObjectSkeletonClass
struct | EDBusObjectManagerClient
struct | EDBusObjectManagerClientClass
| EDBusObject
| EDBusObjectManagerClientPrivate
| EDBusObjectProxyPrivate
| EDBusObjectSkeletonPrivate
| EDBusSource
| EDBusSourceOAuth2Support
| EDBusSourceOAuth2SupportProxyPrivate
| EDBusSourceOAuth2SupportSkeletonPrivate
| EDBusSourceProxyPrivate
| EDBusSourceRemoteCreatable
| EDBusSourceRemoteCreatableProxyPrivate
| EDBusSourceRemoteCreatableSkeletonPrivate
| EDBusSourceRemoteDeletable
| EDBusSourceRemoteDeletableProxyPrivate
| EDBusSourceRemoteDeletableSkeletonPrivate
| EDBusSourceRemovable
| EDBusSourceRemovableProxyPrivate
| EDBusSourceRemovableSkeletonPrivate
| EDBusSourceSkeletonPrivate
| EDBusSourceWritable
| EDBusSourceWritableProxyPrivate
| EDBusSourceWritableSkeletonPrivate

## Object Hierarchy

        GInterface
        ├── EDBusObject
        ├── EDBusSource
        ├── EDBusSourceOAuth2Support
        ├── EDBusSourceRemoteCreatable
        ├── EDBusSourceRemoteDeletable
        ├── EDBusSourceRemovable
        ╰── EDBusSourceWritable
        GObject
        ├── GDBusInterfaceSkeleton
        │   ├── EDBusSourceOAuth2SupportSkeleton
        │   ├── EDBusSourceRemoteCreatableSkeleton
        │   ├── EDBusSourceRemoteDeletableSkeleton
        │   ├── EDBusSourceRemovableSkeleton
        │   ├── EDBusSourceSkeleton
        │   ╰── EDBusSourceWritableSkeleton
        ├── GDBusObjectManagerClient
        │   ╰── EDBusObjectManagerClient
        ├── GDBusObjectProxy
        │   ╰── EDBusObjectProxy
        ├── GDBusObjectSkeleton
        │   ╰── EDBusObjectSkeleton
        ╰── GDBusProxy
            ├── EDBusSourceOAuth2SupportProxy
            ├── EDBusSourceProxy
            ├── EDBusSourceRemoteCreatableProxy
            ├── EDBusSourceRemoteDeletableProxy
            ├── EDBusSourceRemovableProxy
            ╰── EDBusSourceWritableProxy

## Prerequisites

EDBusObject requires GDBusObject and GObject.

EDBusSource requires GObject.

EDBusSourceOAuth2Support requires GObject.

EDBusSourceRemoteCreatable requires GObject.

EDBusSourceRemoteDeletable requires GObject.

EDBusSourceRemovable requires GObject.

EDBusSourceWritable requires GObject.

## Implemented Interfaces

EDBusSourceProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSource.

EDBusSourceSkeleton implements GDBusInterface and EDBusSource.

EDBusSourceRemovableProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceRemovable.

EDBusSourceRemovableSkeleton implements GDBusInterface and EDBusSourceRemovable.

EDBusSourceWritableProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceWritable.

EDBusSourceWritableSkeleton implements GDBusInterface and EDBusSourceWritable.

EDBusSourceRemoteCreatableProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceRemoteCreatable.

EDBusSourceRemoteCreatableSkeleton implements GDBusInterface and EDBusSourceRemoteCreatable.

EDBusSourceRemoteDeletableProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceRemoteDeletable.

EDBusSourceRemoteDeletableSkeleton implements GDBusInterface and EDBusSourceRemoteDeletable.

EDBusSourceOAuth2SupportProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceOAuth2Support.

EDBusSourceOAuth2SupportSkeleton implements GDBusInterface and EDBusSourceOAuth2Support.

EDBusObjectProxy implements GDBusObject and EDBusObject.

EDBusObjectSkeleton implements GDBusObject and EDBusObject.

EDBusObjectManagerClient implements GInitable, GAsyncInitable and GDBusObjectManager.

## Known Implementations

EDBusObject is implemented by EDBusObjectProxy and EDBusObjectSkeleton.

EDBusSource is implemented by EDBusSourceProxy and EDBusSourceSkeleton.

EDBusSourceOAuth2Support is implemented by EDBusSourceOAuth2SupportProxy and EDBusSourceOAuth2SupportSkeleton.

EDBusSourceRemoteCreatable is implemented by EDBusSourceRemoteCreatableProxy and EDBusSourceRemoteCreatableSkeleton.

EDBusSourceRemoteDeletable is implemented by EDBusSourceRemoteDeletableProxy and EDBusSourceRemoteDeletableSkeleton.

EDBusSourceRemovable is implemented by EDBusSourceRemovableProxy and EDBusSourceRemovableSkeleton.

EDBusSourceWritable is implemented by EDBusSourceWritableProxy and EDBusSourceWritableSkeleton.

## Description

## Functions

### e_dbus_source_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_override_properties ()

    guint
    e_dbus_source_override_properties (GObjectClass *klass,
                                       guint property_id_begin);

Overrides all GObject properties in the EDBusSource interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_complete_invoke_credentials_required ()

    void
    e_dbus_source_complete_invoke_credentials_required
                                   (EDBusSource *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `InvokeCredentialsRequired()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 3.16

### e_dbus_source_complete_get_last_credentials_required_arguments ()

    void
    e_dbus_source_complete_get_last_credentials_required_arguments
                                   (EDBusSource *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *reason,
                                    const gchar *certificate_pem,
                                    const gchar *certificate_errors,
                                    const gchar *dbus_error_name,
                                    const gchar *dbus_error_message);

Helper function used in service implementations to finish handling invocations of the `GetLastCredentialsRequiredArguments()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. | [transfer full]
reason | Parameter to return. |
certificate_pem | Parameter to return. |
certificate_errors | Parameter to return. |
dbus_error_name | Parameter to return. |
dbus_error_message | Parameter to return. |

Since: 3.16

### e_dbus_source_complete_unset_last_credentials_required_arguments ()

    void
    e_dbus_source_complete_unset_last_credentials_required_arguments
                                   (EDBusSource *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `UnsetLastCredentialsRequiredArguments()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 3.18

### e_dbus_source_complete_invoke_authenticate ()

    void
    e_dbus_source_complete_invoke_authenticate
                                   (EDBusSource *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `InvokeAuthenticate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 3.16

### e_dbus_source_emit_credentials_required ()

    void
    e_dbus_source_emit_credentials_required
                                   (EDBusSource *object,
                                    const gchar *arg_reason,
                                    const gchar *arg_certificate_pem,
                                    const gchar *arg_certificate_errors,
                                    const gchar *arg_dbus_error_name,
                                    const gchar *arg_dbus_error_message);

Emits the "CredentialsRequired" D-Bus signal.

#### Parameters

object | A EDBusSource. |
arg_reason | Argument to pass with the signal. |
arg_certificate_pem | Argument to pass with the signal. |
arg_certificate_errors | Argument to pass with the signal. |
arg_dbus_error_name | Argument to pass with the signal. |
arg_dbus_error_message | Argument to pass with the signal. |

### e_dbus_source_emit_authenticate ()

    void
    e_dbus_source_emit_authenticate (EDBusSource *object,
                                     const gchar *const *arg_credentials);

Emits the "Authenticate" D-Bus signal.

#### Parameters

object | A EDBusSource. |
arg_credentials | Argument to pass with the signal. |

Since: 3.16

### e_dbus_source_call_invoke_credentials_required ()

    void
    e_dbus_source_call_invoke_credentials_required
                                   (EDBusSource *proxy,
                                    const gchar *arg_reason,
                                    const gchar *arg_certificate_pem,
                                    const gchar *arg_certificate_errors,
                                    const gchar *arg_dbus_error_name,
                                    const gchar *arg_dbus_error_message,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `InvokeCredentialsRequired()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_call_invoke_credentials_required_finish()` to get the result of the operation.

See `e_dbus_source_call_invoke_credentials_required_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
arg_reason | Argument to pass with the method invocation. |
arg_certificate_pem | Argument to pass with the method invocation. |
arg_certificate_errors | Argument to pass with the method invocation. |
arg_dbus_error_name | Argument to pass with the method invocation. |
arg_dbus_error_message | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.16

### e_dbus_source_call_invoke_credentials_required_finish ()

    gboolean
    e_dbus_source_call_invoke_credentials_required_finish
                                   (EDBusSource *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_call_invoke_credentials_required()`.

#### Parameters

proxy | A EDBusSourceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_call_invoke_credentials_required()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_call_invoke_credentials_required_sync ()

    gboolean
    e_dbus_source_call_invoke_credentials_required_sync
                                   (EDBusSource *proxy,
                                    const gchar *arg_reason,
                                    const gchar *arg_certificate_pem,
                                    const gchar *arg_certificate_errors,
                                    const gchar *arg_dbus_error_name,
                                    const gchar *arg_dbus_error_message,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `InvokeCredentialsRequired()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_call_invoke_credentials_required()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
arg_reason | Argument to pass with the method invocation. |
arg_certificate_pem | Argument to pass with the method invocation. |
arg_certificate_errors | Argument to pass with the method invocation. |
arg_dbus_error_name | Argument to pass with the method invocation. |
arg_dbus_error_message | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_call_get_last_credentials_required_arguments ()

    void
    e_dbus_source_call_get_last_credentials_required_arguments
                                   (EDBusSource *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetLastCredentialsRequiredArguments()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_call_get_last_credentials_required_arguments_finish()` to get the result of the operation.

See `e_dbus_source_call_get_last_credentials_required_arguments_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.16

### e_dbus_source_call_get_last_credentials_required_arguments_finish ()

    gboolean
    e_dbus_source_call_get_last_credentials_required_arguments_finish
                                   (EDBusSource *proxy,
                                    gchar **out_reason,
                                    gchar **out_certificate_pem,
                                    gchar **out_certificate_errors,
                                    gchar **out_dbus_error_name,
                                    gchar **out_dbus_error_message,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_call_get_last_credentials_required_arguments()`.

#### Parameters

proxy | A EDBusSourceProxy. |
out_reason | Return location for return parameter or `NULL` to ignore. | [out]
out_certificate_pem | Return location for return parameter or `NULL` to ignore. | [out]
out_certificate_errors | Return location for return parameter or `NULL` to ignore. | [out]
out_dbus_error_name | Return location for return parameter or `NULL` to ignore. | [out]
out_dbus_error_message | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_call_get_last_credentials_required_arguments()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_call_get_last_credentials_required_arguments_sync ()

    gboolean
    e_dbus_source_call_get_last_credentials_required_arguments_sync
                                   (EDBusSource *proxy,
                                    gchar **out_reason,
                                    gchar **out_certificate_pem,
                                    gchar **out_certificate_errors,
                                    gchar **out_dbus_error_name,
                                    gchar **out_dbus_error_message,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetLastCredentialsRequiredArguments()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_call_get_last_credentials_required_arguments()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
out_reason | Return location for return parameter or `NULL` to ignore. | [out]
out_certificate_pem | Return location for return parameter or `NULL` to ignore. | [out]
out_certificate_errors | Return location for return parameter or `NULL` to ignore. | [out]
out_dbus_error_name | Return location for return parameter or `NULL` to ignore. | [out]
out_dbus_error_message | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_call_unset_last_credentials_required_arguments ()

    void
    e_dbus_source_call_unset_last_credentials_required_arguments
                                   (EDBusSource *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `UnsetLastCredentialsRequiredArguments()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_call_unset_last_credentials_required_arguments_finish()` to get the result of the operation.

See `e_dbus_source_call_unset_last_credentials_required_arguments_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.18

### e_dbus_source_call_unset_last_credentials_required_arguments_finish ()

    gboolean
    e_dbus_source_call_unset_last_credentials_required_arguments_finish
                                   (EDBusSource *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_call_unset_last_credentials_required_arguments()`.

#### Parameters

proxy | A EDBusSourceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_call_unset_last_credentials_required_arguments()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.18

### e_dbus_source_call_unset_last_credentials_required_arguments_sync ()

    gboolean
    e_dbus_source_call_unset_last_credentials_required_arguments_sync
                                   (EDBusSource *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `UnsetLastCredentialsRequiredArguments()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_call_unset_last_credentials_required_arguments()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.18

### e_dbus_source_call_invoke_authenticate ()

    void
    e_dbus_source_call_invoke_authenticate
                                   (EDBusSource *proxy,
                                    const gchar *const *arg_credentials,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `InvokeAuthenticate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_call_invoke_authenticate_finish()` to get the result of the operation.

See `e_dbus_source_call_invoke_authenticate_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
arg_credentials | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.16

### e_dbus_source_call_invoke_authenticate_finish ()

    gboolean
    e_dbus_source_call_invoke_authenticate_finish
                                   (EDBusSource *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_call_invoke_authenticate()`.

#### Parameters

proxy | A EDBusSourceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_call_invoke_authenticate()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_call_invoke_authenticate_sync ()

    gboolean
    e_dbus_source_call_invoke_authenticate_sync
                                   (EDBusSource *proxy,
                                    const gchar *const *arg_credentials,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `InvokeAuthenticate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_call_invoke_authenticate()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceProxy. |
arg_credentials | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.16

### e_dbus_source_get_uid ()

    const gchar *
    e_dbus_source_get_uid (EDBusSource *object);

Gets the value of the "UID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_source_dup_uid()` if on another thread.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### e_dbus_source_dup_uid ()

    gchar *
    e_dbus_source_dup_uid (EDBusSource *object);

Gets a copy of the "UID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### e_dbus_source_set_uid ()

    void
    e_dbus_source_set_uid (EDBusSource *object,
                           const gchar *value);

Sets the "UID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusSource. |
value | The value to set. |

### e_dbus_source_get_data ()

    const gchar *
    e_dbus_source_get_data (EDBusSource *object);

Gets the value of the "Data" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_source_dup_data()` if on another thread.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### e_dbus_source_dup_data ()

    gchar *
    e_dbus_source_dup_data (EDBusSource *object);

Gets a copy of the "Data" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### e_dbus_source_set_data ()

    void
    e_dbus_source_set_data (EDBusSource *object,
                            const gchar *value);

Sets the "Data" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A EDBusSource. |
value | The value to set. |

### e_dbus_source_get_connection_status ()

    const gchar *
    e_dbus_source_get_connection_status (EDBusSource *object);

Gets the value of the "ConnectionStatus" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_source_dup_connection_status()` if on another thread.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### e_dbus_source_dup_connection_status ()

    gchar *
    e_dbus_source_dup_connection_status (EDBusSource *object);

Gets a copy of the "ConnectionStatus" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusSource. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### e_dbus_source_set_connection_status ()

    void
    e_dbus_source_set_connection_status (EDBusSource *object,
                                         const gchar *value);

Sets the "ConnectionStatus" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A EDBusSource. |
value | The value to set. |

### e_dbus_source_proxy_new ()

    void
    e_dbus_source_proxy_new (GDBusConnection *connection,
                             GDBusProxyFlags flags,
                             const gchar *name,
                             const gchar *object_path,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_proxy_new_finish ()

    EDBusSource *
    e_dbus_source_proxy_new_finish (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceProxy]

### e_dbus_source_proxy_new_sync ()

    EDBusSource *
    e_dbus_source_proxy_new_sync (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceProxy]

### e_dbus_source_proxy_new_for_bus ()

    void
    e_dbus_source_proxy_new_for_bus (GBusType bus_type,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Like `e_dbus_source_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_proxy_new_for_bus_finish ()

    EDBusSource *
    e_dbus_source_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceProxy]

### e_dbus_source_proxy_new_for_bus_sync ()

    EDBusSource *
    e_dbus_source_proxy_new_for_bus_sync (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Like `e_dbus_source_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceProxy]

### e_dbus_source_skeleton_new ()

    EDBusSource *
    e_dbus_source_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceSkeleton]

### e_dbus_source_removable_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_removable_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.Removable D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_removable_override_properties ()

    guint
    e_dbus_source_removable_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceRemovable interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_removable_complete_remove ()

    void
    e_dbus_source_removable_complete_remove
                                   (EDBusSourceRemovable *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Remove()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceRemovable. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_removable_call_remove ()

    void
    e_dbus_source_removable_call_remove (EDBusSourceRemovable *proxy,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `Remove()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_removable_call_remove_finish()` to get the result of the operation.

See `e_dbus_source_removable_call_remove_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceRemovableProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_removable_call_remove_finish ()

    gboolean
    e_dbus_source_removable_call_remove_finish
                                   (EDBusSourceRemovable *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_removable_call_remove()`.

#### Parameters

proxy | A EDBusSourceRemovableProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_removable_call_remove()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_removable_call_remove_sync ()

    gboolean
    e_dbus_source_removable_call_remove_sync
                                   (EDBusSourceRemovable *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Remove()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_removable_call_remove()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceRemovableProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_removable_proxy_new ()

    void
    e_dbus_source_removable_proxy_new (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_removable_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_removable_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_removable_proxy_new_finish ()

    EDBusSourceRemovable *
    e_dbus_source_removable_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_removable_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_removable_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemovableProxy]

### e_dbus_source_removable_proxy_new_sync ()

    EDBusSourceRemovable *
    e_dbus_source_removable_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_removable_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemovableProxy]

### e_dbus_source_removable_proxy_new_for_bus ()

    void
    e_dbus_source_removable_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_removable_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_removable_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_removable_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_removable_proxy_new_for_bus_finish ()

    EDBusSourceRemovable *
    e_dbus_source_removable_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_removable_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_removable_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemovableProxy]

### e_dbus_source_removable_proxy_new_for_bus_sync ()

    EDBusSourceRemovable *
    e_dbus_source_removable_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_removable_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_removable_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemovableProxy]

### e_dbus_source_removable_skeleton_new ()

    EDBusSourceRemovable *
    e_dbus_source_removable_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceRemovableSkeleton]

### e_dbus_source_writable_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_writable_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.Writable D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_writable_override_properties ()

    guint
    e_dbus_source_writable_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceWritable interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_writable_complete_write ()

    void
    e_dbus_source_writable_complete_write (EDBusSourceWritable *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Write()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceWritable. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_writable_call_write ()

    void
    e_dbus_source_writable_call_write (EDBusSourceWritable *proxy,
                                       const gchar *arg_data,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Write()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_writable_call_write_finish()` to get the result of the operation.

See `e_dbus_source_writable_call_write_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceWritableProxy. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_writable_call_write_finish ()

    gboolean
    e_dbus_source_writable_call_write_finish
                                   (EDBusSourceWritable *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_writable_call_write()`.

#### Parameters

proxy | A EDBusSourceWritableProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_writable_call_write()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_writable_call_write_sync ()

    gboolean
    e_dbus_source_writable_call_write_sync
                                   (EDBusSourceWritable *proxy,
                                    const gchar *arg_data,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Write()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_writable_call_write()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceWritableProxy. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_writable_proxy_new ()

    void
    e_dbus_source_writable_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_writable_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_writable_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_writable_proxy_new_finish ()

    EDBusSourceWritable *
    e_dbus_source_writable_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_writable_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_writable_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceWritableProxy]

### e_dbus_source_writable_proxy_new_sync ()

    EDBusSourceWritable *
    e_dbus_source_writable_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_writable_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceWritableProxy]

### e_dbus_source_writable_proxy_new_for_bus ()

    void
    e_dbus_source_writable_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_writable_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_writable_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_writable_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_writable_proxy_new_for_bus_finish ()

    EDBusSourceWritable *
    e_dbus_source_writable_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_writable_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_writable_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceWritableProxy]

### e_dbus_source_writable_proxy_new_for_bus_sync ()

    EDBusSourceWritable *
    e_dbus_source_writable_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_writable_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_writable_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceWritableProxy]

### e_dbus_source_writable_skeleton_new ()

    EDBusSourceWritable *
    e_dbus_source_writable_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceWritableSkeleton]

### e_dbus_source_remote_creatable_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_remote_creatable_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.RemoteCreatable D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_remote_creatable_override_properties ()

    guint
    e_dbus_source_remote_creatable_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceRemoteCreatable interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_remote_creatable_complete_create ()

    void
    e_dbus_source_remote_creatable_complete_create
                                   (EDBusSourceRemoteCreatable *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Create()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceRemoteCreatable. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_remote_creatable_call_create ()

    void
    e_dbus_source_remote_creatable_call_create
                                   (EDBusSourceRemoteCreatable *proxy,
                                    const gchar *arg_uid,
                                    const gchar *arg_data,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Create()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_creatable_call_create_finish()` to get the result of the operation.

See `e_dbus_source_remote_creatable_call_create_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceRemoteCreatableProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_creatable_call_create_finish ()

    gboolean
    e_dbus_source_remote_creatable_call_create_finish
                                   (EDBusSourceRemoteCreatable *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_creatable_call_create()`.

#### Parameters

proxy | A EDBusSourceRemoteCreatableProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_creatable_call_create()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_remote_creatable_call_create_sync ()

    gboolean
    e_dbus_source_remote_creatable_call_create_sync
                                   (EDBusSourceRemoteCreatable *proxy,
                                    const gchar *arg_uid,
                                    const gchar *arg_data,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Create()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_creatable_call_create()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceRemoteCreatableProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_remote_creatable_proxy_new ()

    void
    e_dbus_source_remote_creatable_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_creatable_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_remote_creatable_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_creatable_proxy_new_finish ()

    EDBusSourceRemoteCreatable *
    e_dbus_source_remote_creatable_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_creatable_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_creatable_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteCreatableProxy]

### e_dbus_source_remote_creatable_proxy_new_sync ()

    EDBusSourceRemoteCreatable *
    e_dbus_source_remote_creatable_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_creatable_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteCreatableProxy]

### e_dbus_source_remote_creatable_proxy_new_for_bus ()

    void
    e_dbus_source_remote_creatable_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_remote_creatable_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_creatable_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_remote_creatable_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_creatable_proxy_new_for_bus_finish ()

    EDBusSourceRemoteCreatable *
    e_dbus_source_remote_creatable_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_creatable_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_creatable_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteCreatableProxy]

### e_dbus_source_remote_creatable_proxy_new_for_bus_sync ()

    EDBusSourceRemoteCreatable *
    e_dbus_source_remote_creatable_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_remote_creatable_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_creatable_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteCreatableProxy]

### e_dbus_source_remote_creatable_skeleton_new ()

    EDBusSourceRemoteCreatable *
    e_dbus_source_remote_creatable_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceRemoteCreatableSkeleton]

### e_dbus_source_remote_deletable_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_remote_deletable_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.RemoteDeletable D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_remote_deletable_override_properties ()

    guint
    e_dbus_source_remote_deletable_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceRemoteDeletable interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_remote_deletable_complete_delete ()

    void
    e_dbus_source_remote_deletable_complete_delete
                                   (EDBusSourceRemoteDeletable *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Delete()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceRemoteDeletable. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_remote_deletable_call_delete ()

    void
    e_dbus_source_remote_deletable_call_delete
                                   (EDBusSourceRemoteDeletable *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Delete()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_deletable_call_delete_finish()` to get the result of the operation.

See `e_dbus_source_remote_deletable_call_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceRemoteDeletableProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_deletable_call_delete_finish ()

    gboolean
    e_dbus_source_remote_deletable_call_delete_finish
                                   (EDBusSourceRemoteDeletable *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_deletable_call_delete()`.

#### Parameters

proxy | A EDBusSourceRemoteDeletableProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_deletable_call_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_remote_deletable_call_delete_sync ()

    gboolean
    e_dbus_source_remote_deletable_call_delete_sync
                                   (EDBusSourceRemoteDeletable *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Delete()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_deletable_call_delete()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceRemoteDeletableProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_remote_deletable_proxy_new ()

    void
    e_dbus_source_remote_deletable_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_deletable_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_remote_deletable_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_deletable_proxy_new_finish ()

    EDBusSourceRemoteDeletable *
    e_dbus_source_remote_deletable_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_deletable_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_deletable_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteDeletableProxy]

### e_dbus_source_remote_deletable_proxy_new_sync ()

    EDBusSourceRemoteDeletable *
    e_dbus_source_remote_deletable_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_deletable_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteDeletableProxy]

### e_dbus_source_remote_deletable_proxy_new_for_bus ()

    void
    e_dbus_source_remote_deletable_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_remote_deletable_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_remote_deletable_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_remote_deletable_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_remote_deletable_proxy_new_for_bus_finish ()

    EDBusSourceRemoteDeletable *
    e_dbus_source_remote_deletable_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_remote_deletable_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_remote_deletable_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteDeletableProxy]

### e_dbus_source_remote_deletable_proxy_new_for_bus_sync ()

    EDBusSourceRemoteDeletable *
    e_dbus_source_remote_deletable_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_remote_deletable_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_remote_deletable_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceRemoteDeletableProxy]

### e_dbus_source_remote_deletable_skeleton_new ()

    EDBusSourceRemoteDeletable *
    e_dbus_source_remote_deletable_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceRemoteDeletableSkeleton]

### e_dbus_source_oauth2_support_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_oauth2_support_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.OAuth2Support D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_oauth2_support_override_properties ()

    guint
    e_dbus_source_oauth2_support_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceOAuth2Support interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_oauth2_support_complete_get_access_token ()

    void
    e_dbus_source_oauth2_support_complete_get_access_token
                                   (EDBusSourceOAuth2Support *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *access_token,
                                    gint expires_in);

Helper function used in service implementations to finish handling invocations of the `GetAccessToken()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceOAuth2Support. |
invocation | A GDBusMethodInvocation. | [transfer full]
access_token | Parameter to return. |
expires_in | Parameter to return. |

### e_dbus_source_oauth2_support_call_get_access_token ()

    void
    e_dbus_source_oauth2_support_call_get_access_token
                                   (EDBusSourceOAuth2Support *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetAccessToken()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_call_get_access_token_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_call_get_access_token_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_call_get_access_token_finish ()

    gboolean
    e_dbus_source_oauth2_support_call_get_access_token_finish
                                   (EDBusSourceOAuth2Support *proxy,
                                    gchar **out_access_token,
                                    gint *out_expires_in,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_call_get_access_token()`.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
out_access_token | Return location for return parameter or `NULL` to ignore. | [out]
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_call_get_access_token()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_oauth2_support_call_get_access_token_sync ()

    gboolean
    e_dbus_source_oauth2_support_call_get_access_token_sync
                                   (EDBusSourceOAuth2Support *proxy,
                                    gchar **out_access_token,
                                    gint *out_expires_in,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetAccessToken()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_call_get_access_token()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
out_access_token | Return location for return parameter or `NULL` to ignore. | [out]
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_oauth2_support_proxy_new ()

    void
    e_dbus_source_oauth2_support_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_proxy_new_finish ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new_sync ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new_for_bus ()

    void
    e_dbus_source_oauth2_support_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_oauth2_support_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_proxy_new_for_bus_finish ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new_for_bus_sync ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_oauth2_support_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_skeleton_new ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceOAuth2SupportSkeleton]

### e_dbus_object_get_source ()

    EDBusSource *
    e_dbus_object_get_source (EDBusObject *object);

Gets the EDBusSource instance for the D-Bus interface org.gnome.evolution.dataserver.Source on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSource that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_get_source_removable ()

    EDBusSourceRemovable *
    e_dbus_object_get_source_removable (EDBusObject *object);

Gets the EDBusSourceRemovable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemovable that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_get_source_writable ()

    EDBusSourceWritable *
    e_dbus_object_get_source_writable (EDBusObject *object);

Gets the EDBusSourceWritable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceWritable that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_get_source_remote_creatable ()

    EDBusSourceRemoteCreatable *
    e_dbus_object_get_source_remote_creatable
                                   (EDBusObject *object);

Gets the EDBusSourceRemoteCreatable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemoteCreatable that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_get_source_remote_deletable ()

    EDBusSourceRemoteDeletable *
    e_dbus_object_get_source_remote_deletable
                                   (EDBusObject *object);

Gets the EDBusSourceRemoteDeletable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemoteDeletable that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_get_source_oauth2_support ()

    EDBusSourceOAuth2Support *
    e_dbus_object_get_source_oauth2_support
                                   (EDBusObject *object);

Gets the EDBusSourceOAuth2Support instance for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support on `object` , if any.

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceOAuth2Support that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full]

### e_dbus_object_peek_source ()

    EDBusSource *
    e_dbus_object_peek_source (EDBusObject *object);

Like `e_dbus_object_get_source()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSource or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_peek_source_removable ()

    EDBusSourceRemovable *
    e_dbus_object_peek_source_removable (EDBusObject *object);

Like `e_dbus_object_get_source_removable()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemovable or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_peek_source_writable ()

    EDBusSourceWritable *
    e_dbus_object_peek_source_writable (EDBusObject *object);

Like `e_dbus_object_get_source_writable()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceWritable or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_peek_source_remote_creatable ()

    EDBusSourceRemoteCreatable *
    e_dbus_object_peek_source_remote_creatable
                                   (EDBusObject *object);

Like `e_dbus_object_get_source_remote_creatable()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemoteCreatable or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_peek_source_remote_deletable ()

    EDBusSourceRemoteDeletable *
    e_dbus_object_peek_source_remote_deletable
                                   (EDBusObject *object);

Like `e_dbus_object_get_source_remote_deletable()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceRemoteDeletable or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_peek_source_oauth2_support ()

    EDBusSourceOAuth2Support *
    e_dbus_object_peek_source_oauth2_support
                                   (EDBusObject *object);

Like `e_dbus_object_get_source_oauth2_support()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A EDBusObject. |

#### Returns

A EDBusSourceOAuth2Support or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none]

### e_dbus_object_proxy_new ()

    EDBusObjectProxy *
    e_dbus_object_proxy_new (GDBusConnection *connection,
                             const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### e_dbus_object_skeleton_new ()

    EDBusObjectSkeleton *
    e_dbus_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### e_dbus_object_skeleton_set_source ()

    void
    e_dbus_object_skeleton_set_source (EDBusObjectSkeleton *object,
                                       EDBusSource *interface_);

Sets the EDBusSource instance for the D-Bus interface org.gnome.evolution.dataserver.Source on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSource or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_skeleton_set_source_removable ()

    void
    e_dbus_object_skeleton_set_source_removable
                                   (EDBusObjectSkeleton *object,
                                    EDBusSourceRemovable *interface_);

Sets the EDBusSourceRemovable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSourceRemovable or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_skeleton_set_source_writable ()

    void
    e_dbus_object_skeleton_set_source_writable
                                   (EDBusObjectSkeleton *object,
                                    EDBusSourceWritable *interface_);

Sets the EDBusSourceWritable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSourceWritable or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_skeleton_set_source_remote_creatable ()

    void
    e_dbus_object_skeleton_set_source_remote_creatable
                                   (EDBusObjectSkeleton *object,
                                    EDBusSourceRemoteCreatable *interface_);

Sets the EDBusSourceRemoteCreatable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSourceRemoteCreatable or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_skeleton_set_source_remote_deletable ()

    void
    e_dbus_object_skeleton_set_source_remote_deletable
                                   (EDBusObjectSkeleton *object,
                                    EDBusSourceRemoteDeletable *interface_);

Sets the EDBusSourceRemoteDeletable instance for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSourceRemoteDeletable or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_skeleton_set_source_oauth2_support ()

    void
    e_dbus_object_skeleton_set_source_oauth2_support
                                   (EDBusObjectSkeleton *object,
                                    EDBusSourceOAuth2Support *interface_);

Sets the EDBusSourceOAuth2Support instance for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support on `object` .

#### Parameters

object | A EDBusObjectSkeleton. |
interface_ | A EDBusSourceOAuth2Support or `NULL` to clear the interface. | [allow-none]

### e_dbus_object_manager_client_get_proxy_type ()

    GType
    e_dbus_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy- and GDBusProxy-derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [allow-none]
user_data | User data (unused). |

#### Returns

A GDBusProxy-derived GType if `interface_name` is not `NULL`, otherwise the GType for EDBusObjectProxy.

### e_dbus_object_manager_client_new ()

    void
    e_dbus_object_manager_client_new (GDBusConnection *connection,
                                      GDBusObjectManagerClientFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `e_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_object_manager_client_new_finish()` to get the result of the operation.

See `e_dbus_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_object_manager_client_new_finish ()

    GDBusObjectManager *
    e_dbus_object_manager_client_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type EDBusObjectManagerClient]

### e_dbus_object_manager_client_new_sync ()

    GDBusObjectManager *
    e_dbus_object_manager_client_new_sync (GDBusConnection *connection,
                                           GDBusObjectManagerClientFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates GDBusObjectManagerClient using `e_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type EDBusObjectManagerClient]

### e_dbus_object_manager_client_new_for_bus ()

    void
    e_dbus_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    e_dbus_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type EDBusObjectManagerClient]

### e_dbus_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    e_dbus_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type EDBusObjectManagerClient]

## Types and Values

### struct EDBusSourceIface

    struct EDBusSourceIface {
      GTypeInterface parent_iface;

      const gchar * (*get_connection_status) (EDBusSource *object);

      const gchar * (*get_data) (EDBusSource *object);

      const gchar * (*get_uid) (EDBusSource *object);

      void (*credentials_required) (
        EDBusSource *object,
        const gchar *arg_reason,
        const gchar *arg_certificate_pem,
        const gchar *arg_certificate_errors,
        const gchar *arg_dbus_error_name,
        const gchar *arg_dbus_error_message);

      gboolean (*handle_get_last_credentials_required_arguments) (
        EDBusSource *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_invoke_authenticate) (
        EDBusSource *object,
        GDBusMethodInvocation *invocation,
        const gchar *const *arg_credentials);

      gboolean (*handle_invoke_credentials_required) (
        EDBusSource *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_reason,
        const gchar *arg_certificate_pem,
        const gchar *arg_certificate_errors,
        const gchar *arg_dbus_error_name,
        const gchar *arg_dbus_error_message);

      void (*authenticate) (
        EDBusSource *object,
        const gchar *const *arg_credentials);

      gboolean (*handle_unset_last_credentials_required_arguments) (
        EDBusSource *object,
        GDBusMethodInvocation *invocation);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_connection_status` () | Getter for the “connection-status” property. |
`get_data` () | Getter for the “data” property. |
`get_uid` () | Getter for the “uid” property. |
`credentials_required` () | Handler for the “credentials-required” signal. |
`handle_get_last_credentials_required_arguments` () | Handler for the “handle-get-last-credentials-required-arguments” signal. |
`handle_invoke_authenticate` () | Handler for the “handle-invoke-authenticate” signal. |
`handle_invoke_credentials_required` () | Handler for the “handle-invoke-credentials-required” signal. |
`authenticate` () | Handler for the “authenticate” signal. |
`handle_unset_last_credentials_required_arguments` () | Handler for the “handle-unset-last-credentials-required-arguments” signal. |

### struct EDBusSourceProxy

    struct EDBusSourceProxy;

The EDBusSourceProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceProxyClass

    struct EDBusSourceProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceProxy.

#### Members

### struct EDBusSourceSkeleton

    struct EDBusSourceSkeleton;

The EDBusSourceSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceSkeletonClass

    struct EDBusSourceSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceSkeleton.

#### Members

### struct EDBusSourceRemovableIface

    struct EDBusSourceRemovableIface {
      GTypeInterface parent_iface;

      gboolean (*handle_remove) (
        EDBusSourceRemovable *object,
        GDBusMethodInvocation *invocation);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_remove` () | Handler for the “handle-remove” signal. |

### struct EDBusSourceRemovableProxy

    struct EDBusSourceRemovableProxy;

The EDBusSourceRemovableProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemovableProxyClass

    struct EDBusSourceRemovableProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceRemovableProxy.

#### Members

### struct EDBusSourceRemovableSkeleton

    struct EDBusSourceRemovableSkeleton;

The EDBusSourceRemovableSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemovableSkeletonClass

    struct EDBusSourceRemovableSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceRemovableSkeleton.

#### Members

### struct EDBusSourceWritableIface

    struct EDBusSourceWritableIface {
      GTypeInterface parent_iface;

      gboolean (*handle_write) (
        EDBusSourceWritable *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_data);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_write` () | Handler for the “handle-write” signal. |

### struct EDBusSourceWritableProxy

    struct EDBusSourceWritableProxy;

The EDBusSourceWritableProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceWritableProxyClass

    struct EDBusSourceWritableProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceWritableProxy.

#### Members

### struct EDBusSourceWritableSkeleton

    struct EDBusSourceWritableSkeleton;

The EDBusSourceWritableSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceWritableSkeletonClass

    struct EDBusSourceWritableSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceWritableSkeleton.

#### Members

### struct EDBusSourceRemoteCreatableIface

    struct EDBusSourceRemoteCreatableIface {
      GTypeInterface parent_iface;

      gboolean (*handle_create) (
        EDBusSourceRemoteCreatable *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_uid,
        const gchar *arg_data);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_create` () | Handler for the “handle-create” signal. |

### struct EDBusSourceRemoteCreatableProxy

    struct EDBusSourceRemoteCreatableProxy;

The EDBusSourceRemoteCreatableProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemoteCreatableProxyClass

    struct EDBusSourceRemoteCreatableProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceRemoteCreatableProxy.

#### Members

### struct EDBusSourceRemoteCreatableSkeleton

    struct EDBusSourceRemoteCreatableSkeleton;

The EDBusSourceRemoteCreatableSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemoteCreatableSkeletonClass

    struct EDBusSourceRemoteCreatableSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceRemoteCreatableSkeleton.

#### Members

### struct EDBusSourceRemoteDeletableIface

    struct EDBusSourceRemoteDeletableIface {
      GTypeInterface parent_iface;

      gboolean (*handle_delete) (
        EDBusSourceRemoteDeletable *object,
        GDBusMethodInvocation *invocation);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_delete` () | Handler for the “handle-delete” signal. |

### struct EDBusSourceRemoteDeletableProxy

    struct EDBusSourceRemoteDeletableProxy;

The EDBusSourceRemoteDeletableProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemoteDeletableProxyClass

    struct EDBusSourceRemoteDeletableProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceRemoteDeletableProxy.

#### Members

### struct EDBusSourceRemoteDeletableSkeleton

    struct EDBusSourceRemoteDeletableSkeleton;

The EDBusSourceRemoteDeletableSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceRemoteDeletableSkeletonClass

    struct EDBusSourceRemoteDeletableSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceRemoteDeletableSkeleton.

#### Members

### struct EDBusSourceOAuth2SupportIface

    struct EDBusSourceOAuth2SupportIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_access_token) (
        EDBusSourceOAuth2Support *object,
        GDBusMethodInvocation *invocation);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_access_token` () | Handler for the “handle-get-access-token” signal. |

### struct EDBusSourceOAuth2SupportProxy

    struct EDBusSourceOAuth2SupportProxy;

The EDBusSourceOAuth2SupportProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceOAuth2SupportProxyClass

    struct EDBusSourceOAuth2SupportProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusSourceOAuth2SupportProxy.

#### Members

### struct EDBusSourceOAuth2SupportSkeleton

    struct EDBusSourceOAuth2SupportSkeleton;

The EDBusSourceOAuth2SupportSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceOAuth2SupportSkeletonClass

    struct EDBusSourceOAuth2SupportSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusSourceOAuth2SupportSkeleton.

#### Members

### struct EDBusObjectIface

    struct EDBusObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the EDBusObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct EDBusObjectProxy

    struct EDBusObjectProxy;

The EDBusObjectProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusObjectProxyClass

    struct EDBusObjectProxyClass {
      GDBusObjectProxyClass parent_class;
    };

Class structure for EDBusObjectProxy.

#### Members

### struct EDBusObjectSkeleton

    struct EDBusObjectSkeleton;

The EDBusObjectSkeleton structure contains only private data and should only be accessed using the provided API.

### struct EDBusObjectSkeletonClass

    struct EDBusObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;
    };

Class structure for EDBusObjectSkeleton.

#### Members

### struct EDBusObjectManagerClient

    struct EDBusObjectManagerClient;

The EDBusObjectManagerClient structure contains only private data and should only be accessed using the provided API.

### struct EDBusObjectManagerClientClass

    struct EDBusObjectManagerClientClass {
      GDBusObjectManagerClientClass parent_class;
    };

Class structure for EDBusObjectManagerClient.

#### Members

### EDBusObject

    typedef struct _EDBusObject EDBusObject;

The EDBusObject type is a specialized container of interfaces.

### EDBusObjectManagerClientPrivate

    typedef struct _EDBusObjectManagerClientPrivate EDBusObjectManagerClientPrivate;

### EDBusObjectProxyPrivate

    typedef struct _EDBusObjectProxyPrivate EDBusObjectProxyPrivate;

### EDBusObjectSkeletonPrivate

    typedef struct _EDBusObjectSkeletonPrivate EDBusObjectSkeletonPrivate;

### EDBusSource

    typedef struct _EDBusSource EDBusSource;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.

### EDBusSourceOAuth2Support

    typedef struct _EDBusSourceOAuth2Support EDBusSourceOAuth2Support;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support.

### EDBusSourceOAuth2SupportProxyPrivate

    typedef struct _EDBusSourceOAuth2SupportProxyPrivate EDBusSourceOAuth2SupportProxyPrivate;

### EDBusSourceOAuth2SupportSkeletonPrivate

    typedef struct _EDBusSourceOAuth2SupportSkeletonPrivate EDBusSourceOAuth2SupportSkeletonPrivate;

### EDBusSourceProxyPrivate

    typedef struct _EDBusSourceProxyPrivate EDBusSourceProxyPrivate;

### EDBusSourceRemoteCreatable

    typedef struct _EDBusSourceRemoteCreatable EDBusSourceRemoteCreatable;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable.

### EDBusSourceRemoteCreatableProxyPrivate

    typedef struct _EDBusSourceRemoteCreatableProxyPrivate EDBusSourceRemoteCreatableProxyPrivate;

### EDBusSourceRemoteCreatableSkeletonPrivate

    typedef struct _EDBusSourceRemoteCreatableSkeletonPrivate EDBusSourceRemoteCreatableSkeletonPrivate;

### EDBusSourceRemoteDeletable

    typedef struct _EDBusSourceRemoteDeletable EDBusSourceRemoteDeletable;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable.

### EDBusSourceRemoteDeletableProxyPrivate

    typedef struct _EDBusSourceRemoteDeletableProxyPrivate EDBusSourceRemoteDeletableProxyPrivate;

### EDBusSourceRemoteDeletableSkeletonPrivate

    typedef struct _EDBusSourceRemoteDeletableSkeletonPrivate EDBusSourceRemoteDeletableSkeletonPrivate;

### EDBusSourceRemovable

    typedef struct _EDBusSourceRemovable EDBusSourceRemovable;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.Removable.

### EDBusSourceRemovableProxyPrivate

    typedef struct _EDBusSourceRemovableProxyPrivate EDBusSourceRemovableProxyPrivate;

### EDBusSourceRemovableSkeletonPrivate

    typedef struct _EDBusSourceRemovableSkeletonPrivate EDBusSourceRemovableSkeletonPrivate;

### EDBusSourceSkeletonPrivate

    typedef struct _EDBusSourceSkeletonPrivate EDBusSourceSkeletonPrivate;

### EDBusSourceWritable

    typedef struct _EDBusSourceWritable EDBusSourceWritable;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.Writable.

### EDBusSourceWritableProxyPrivate

    typedef struct _EDBusSourceWritableProxyPrivate EDBusSourceWritableProxyPrivate;

### EDBusSourceWritableSkeletonPrivate

    typedef struct _EDBusSourceWritableSkeletonPrivate EDBusSourceWritableSkeletonPrivate;

## Property Details

### The `“source”` property

      “source”                   EDBusSource *

The EDBusSource instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“source-oauth2-support”` property

      “source-oauth2-support”    EDBusSourceOAuth2Support *

The EDBusSourceOAuth2Support instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“source-remote-creatable”` property

      “source-remote-creatable”  EDBusSourceRemoteCreatable *

The EDBusSourceRemoteCreatable instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteCreatable, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“source-remote-deletable”` property

      “source-remote-deletable”  EDBusSourceRemoteDeletable *

The EDBusSourceRemoteDeletable instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source.RemoteDeletable, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“source-removable”` property

      “source-removable”         EDBusSourceRemovable *

The EDBusSourceRemovable instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source.Removable, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“source-writable”` property

      “source-writable”          EDBusSourceWritable *

The EDBusSourceWritable instance corresponding to the D-Bus interface org.gnome.evolution.dataserver.Source.Writable, if any.

Connect to the “notify” signal to get informed of property changes.

Flags: Read / Write

### The `“connection-status”` property

      “connection-status”        gchar *

Represents the D-Bus property "ConnectionStatus".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Flags: Read / Write

Default value: NULL

### The `“data”` property

      “data”                     gchar *

Represents the D-Bus property "Data".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

### The `“uid”` property

      “uid”                      gchar *

Represents the D-Bus property "UID".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“authenticate”` signal

    void
    user_function (EDBusSource *object,
                   GStrv        arg_credentials,
                   gpointer     user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Authenticate" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusSource. |
arg_credentials | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.16

### The `“credentials-required”` signal

    void
    user_function (EDBusSource *object,
                   gchar       *arg_reason,
                   gchar       *arg_certificate_pem,
                   gchar       *arg_certificate_errors,
                   gchar       *arg_dbus_error_name,
                   gchar       *arg_dbus_error_message,
                   gpointer     user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "CredentialsRequired" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusSource. |
arg_reason | Argument. |
arg_certificate_pem | Argument. |
arg_certificate_errors | Argument. |
arg_dbus_error_name | Argument. |
arg_dbus_error_message | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-get-last-credentials-required-arguments”` signal

    gboolean
    user_function (EDBusSource           *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetLastCredentialsRequiredArguments()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_complete_get_last_credentials_required_arguments()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.16

### The `“handle-invoke-authenticate”` signal

    gboolean
    user_function (EDBusSource           *object,
                   GDBusMethodInvocation *invocation,
                   GStrv                  arg_credentials,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `InvokeAuthenticate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_complete_invoke_authenticate()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. |
arg_credentials | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.16

### The `“handle-invoke-credentials-required”` signal

    gboolean
    user_function (EDBusSource           *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_reason,
                   gchar                 *arg_certificate_pem,
                   gchar                 *arg_certificate_errors,
                   gchar                 *arg_dbus_error_name,
                   gchar                 *arg_dbus_error_message,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `InvokeCredentialsRequired()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_complete_invoke_credentials_required()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. |
arg_reason | Argument passed by remote caller. |
arg_certificate_pem | Argument passed by remote caller. |
arg_certificate_errors | Argument passed by remote caller. |
arg_dbus_error_name | Argument passed by remote caller. |
arg_dbus_error_message | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.16

### The `“handle-unset-last-credentials-required-arguments”` signal

    gboolean
    user_function (EDBusSource           *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `UnsetLastCredentialsRequiredArguments()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_complete_unset_last_credentials_required_arguments()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSource. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.18

### The `“handle-get-access-token”` signal

    gboolean
    user_function (EDBusSourceOAuth2Support *object,
                   GDBusMethodInvocation    *invocation,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetAccessToken()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_oauth2_support_complete_get_access_token()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceOAuth2Support. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-create”` signal

    gboolean
    user_function (EDBusSourceRemoteCreatable *object,
                   GDBusMethodInvocation      *invocation,
                   gchar                      *arg_uid,
                   gchar                      *arg_data,
                   gpointer                    user_data)

Signal emitted when a remote caller is invoking the `Create()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_remote_creatable_complete_create()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceRemoteCreatable. |
invocation | A GDBusMethodInvocation. |
arg_uid | Argument passed by remote caller. |
arg_data | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-delete”` signal

    gboolean
    user_function (EDBusSourceRemoteDeletable *object,
                   GDBusMethodInvocation      *invocation,
                   gpointer                    user_data)

Signal emitted when a remote caller is invoking the `Delete()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_remote_deletable_complete_delete()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceRemoteDeletable. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-remove”` signal

    gboolean
    user_function (EDBusSourceRemovable  *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Remove()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_removable_complete_remove()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceRemovable. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-write”` signal

    gboolean
    user_function (EDBusSourceWritable   *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_data,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Write()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_writable_complete_write()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceWritable. |
invocation | A GDBusMethodInvocation. |
arg_data | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last